# Trouble Shoot

<details>

<summary>How can I select a value from the dropdown</summary>

If the dropdown has standard select-option model. By configuring the property "byValue" we can achieve this. Refer to link [Properties Library](/studio/ui-elements/drop_down/properties-library.md)

</details>

<details>

<summary>How can i select the nth value from the dropdown</summary>

If the dropdown has standard select-option model. By configuring the property "byIndex" we can achieve this. Refer to link [Properties Library](/studio/ui-elements/drop_down/properties-library.md)

</details>

<details>

<summary>How can I scroll the dropdown and select a value</summary>

QATTS automatically scrolls to an element and selects the value, if it is not happening in your application. Below configuration can work\
Using the pre action as "scrollToElement". Refer to link [Properties Library](/studio/ui-elements/drop_down/properties-library.md)

</details>

<details>

<summary>How can I select a dropdown with partial value</summary>

Using the properties "contains" and "tagName" we can achieve this. [Properties Library](/studio/ui-elements/drop_down/properties-library.md)

</details>

<details>

<summary>How can I select multiple values from the dropdown</summary>

In the test data provide the values with a comma separated. QATTS automatically recognizes and selects the multiple values

</details>

<details>

<summary>How can I select the dropdown value which is present in the name attribute</summary>

If the dropdown has standard select-option model. By configuring the property "byName" we can achieve this. Refer to link [Properties Library](/studio/ui-elements/drop_down/properties-library.md)

</details>

<details>

<summary>There were no select->options tags in my web page, How can I work on such elements</summary>

QATTS has a property called "tagName" where the user can provide their tagName. [Properties Library](/studio/ui-elements/drop_down/properties-library.md)

</details>

<details>

<summary>How can I select a dropdown value which is completely dynamic</summary>

QATTS also provide an option to write a different locator to find the value. This can be configured with property "custom" [Properties Library](/studio/ui-elements/drop_down/properties-library.md)

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.qatts.com/studio/ui-elements/drop_down/trouble-shoot.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
